#
# spec file for package jpilot-Backup (Version 0.50)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel gtk2-devel-packages jpilot pilot-link pilot-link-devel x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem gtk gtk-devel gtk2 gtk2-devel jpilot libtool pango pango-devel perl pilot-link pilot-link-devel pkgconfig rpm update-desktop-files

Name:         jpilot-Backup
Version:      0.50
Release:      181
License:      GPL
Summary:      Backup plugin for J-Pilot
Group:        Hardware/Palm
Autoreqprov:  on
Requires:     jpilot
Source:       jpilot-backup-%{version}.tar.bz2
Patch:        %{name}-%{version}-config.dif
Patch1:       %{name}-%{version}-symlinkfix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://jasonday.home.att.net

%description -n jpilot-Backup
Backups are automatic, you configure when (every sync, daily, weekly,
or monthly) Multiple archives (1 - 7) and configure which databases to
backup and which to ignore before starting.



Authors:
--------
    Jason Day <jasonday@worldnet.att.net>

%prep
%setup -n jpilot-backup-%{version}
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
./configure --prefix=/usr \
	    --libdir="%{_libdir}" \
	    --target=%{_target_cpu}-suse-linux-gnu
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make install  DESTDIR=$RPM_BUILD_ROOT

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%doc README ChangeLog COPYING
%{_libdir}/jpilot/plugins/libbackup.*

%changelog -n jpilot-Backup
* Fri Oct 10 2003 - postadal@suse.cz
- disable GTK2 support to get rid of problems with locales and UTF8 [#27267]
- fixed the problem with hardlinks (didn't work on OpenAFS) [#26854]
* Mon Jun 23 2003 - ro@suse.de
- added jpilot to neededforbuild
* Mon Feb 03 2003 - postadal@suse.cz
- fixed lib64 path
* Mon Feb 03 2003 - postadal@suse.cz
- updated to version 0.50
  * added persistent archive feature
  * support for GTK2
  * a check in configure for GDBM_NOLOCK, and if found, disable locking in
  gdbm. This fixes a problem with /home on NFS mount.
* Wed Nov 27 2002 - postadal@suse.cz
- updated to version 0.43
  * new prefs API (J-Pilot 0.99.2 and later)
  * fixes
* Thu Sep 26 2002 - postadal@suse.cz
- used libtoolize --force, aclocal, autoconf
* Fri May 03 2002 - postadal@suse.cz
- fixed location of pilot-link
* Tue Feb 05 2002 - tcrhak@suse.cz
- added option 'target' to configure
* Wed Jan 30 2002 - tcrhak@suse.cz
- branched from jpilot as a self-contained package
- update to version 0.41
